import { CallChaining } from '@oinone/kunlun-shared';
import { ButtonBizStyle, ButtonType, ListSelectMode, OioDropdownTrigger } from '@oinone/kunlun-vue-ui-common';
import { type ActiveRecordsWidgetProps, type OioActionBarState, type OioAnyViewState } from '@oinone/kunlun-vue-widget';
import { BaseActionGroupWidget } from '../../../basic';
import { type MoreActionRender } from '../../../typing';
export interface ActionBarWidgetProps extends ActiveRecordsWidgetProps {
    inline?: boolean;
    moreActionRender?: MoreActionRender;
}
export declare class ActionBarWidget<Props extends ActionBarWidgetProps = ActionBarWidgetProps> extends BaseActionGroupWidget<Props> {
    initialize(props: Props): this;
    protected popupScene: string | undefined;
    protected inline: boolean | undefined;
    protected actionBarState: OioActionBarState | undefined;
    protected get isFloat(): boolean | undefined;
    protected get activeCount(): number | undefined;
    protected get buttonType(): any;
    protected get bizStyle(): string | undefined;
    get justify(): string | undefined;
    protected get moreActionTriggers(): OioDropdownTrigger[];
    protected moreActionRender: MoreActionRender | undefined;
    protected selectMode: ListSelectMode | undefined;
    protected selectModeCallChaining: CallChaining | undefined;
    protected checkboxAllCallChaining: CallChaining | undefined;
    protected onSelectModeChange(mode: ListSelectMode | undefined): void;
    protected onCheckboxAll(selected: boolean): void;
    protected initBizStyle(): string | undefined;
    protected $$initViewStatePosition(state: OioAnyViewState): void;
    protected $$clearViewStatePosition(state: OioAnyViewState): void;
    protected $$initViewState(state: OioAnyViewState): void;
    protected $$beforeMount(): void;
    protected createActionBarState(state: OioAnyViewState): OioActionBarState;
    protected createGetActionBarBizStyleMethod(self: ActionBarWidget): (this: OioActionBarState, actionHandle: string) => {
        type: ButtonType;
        bizStyle: ButtonBizStyle;
    } | undefined;
}
